Skip to content

Get a contract by id

GET
/contracts/{id}
curl --request GET \
--url https://api.vendorica.com/v1/contracts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
id
required
string format: uuid

Success

Media typeapplication/json
object
success
required
boolean
data
required
object
id
required
string format: uuid
vendorId
required
string format: uuid
title
required
string
contractType
required
string | null
contractTypeId
required
string | null format: uuid
startDate
required
string | null
endDate
required
string | null
value
required
string | null
currency
required
string | null
status
required
string | null
contractStatusId
required
string | null format: uuid
riskNotes
required
string | null
arrangementReference
required
string | null
isIntragroup
required
boolean
clientNoticePeriodDays
required
integer | null
vendorNoticePeriodDays
required
integer | null
terminationDate
required
string | null
signingDate
required
string | null
governingLaw
required
string | null
storesData
required
boolean | null
dataSensitivity
required
string | null
Allowed values: low medium high very_high
relianceLevel
required
string | null
Allowed values: none low medium high critical
dataLocationAtRest
required
Array<string> | null
dataProcessingLocation
required
Array<string> | null
outsourcingClassification
required
string | null
Allowed values: outsourcing non_outsourcing
outsourcingClassificationRationale
required
string | null
involvesPersonalData
required
boolean | null
nextRenewalDate
required
string | null
cloudServiceModel
required
string | null
Allowed values: iaas paas saas other
cloudDeploymentModel
required
string | null
Allowed values: public private hybrid community
lastAuditDate
required
string | null
nextAuditDate
required
string | null
alternativeProvidersIdentified
required
boolean | null
alternativeProvidersNotes
required
string | null
ebaArrangementType
required
string | null
Allowed values: eba_CO:x1 eba_CO:x2 eba_CO:x3
businessOwnerId
required
string | null format: uuid
approvalStatus
required
string
approvalInstanceId
required
string | null format: uuid
businessUnitIds
required
Array<string>
createdAt
required
string | null format: date-time
updatedAt
required
string | null format: date-time
statusPhase
required
string | null
Allowed values: draft pending in_force ended archived
vendor
required
object
id
required
string format: uuid
name
required
string
businessOwner
required
object
id
required
string format: uuid
firstName
required
string | null
lastName
required
string | null
email
required
string
timestamp
required
string format: date-time
requestId
string
message
string
Example
{
"success": true,
"data": {
"id": "470f0b70-4eaf-4476-8284-042f10d28fb1",
"vendorId": "3488bd12-c341-4030-834f-304932a90937",
"title": "string",
"contractType": "string",
"contractTypeId": "85d58cb6-632c-4f5c-8e0c-828df6b17dab",
"startDate": "string",
"endDate": "string",
"value": "string",
"currency": "string",
"status": "string",
"contractStatusId": "4c2e16a4-928d-4752-85fe-6483f6784085",
"riskNotes": "string",
"arrangementReference": "string",
"isIntragroup": true,
"clientNoticePeriodDays": 1,
"vendorNoticePeriodDays": 1,
"terminationDate": "string",
"signingDate": "string",
"governingLaw": "string",
"storesData": true,
"dataSensitivity": "low",
"relianceLevel": "none",
"dataLocationAtRest": [
"string"
],
"dataProcessingLocation": [
"string"
],
"outsourcingClassification": "outsourcing",
"outsourcingClassificationRationale": "string",
"involvesPersonalData": true,
"nextRenewalDate": "string",
"cloudServiceModel": "iaas",
"cloudDeploymentModel": "public",
"lastAuditDate": "string",
"nextAuditDate": "string",
"alternativeProvidersIdentified": true,
"alternativeProvidersNotes": "string",
"ebaArrangementType": "eba_CO:x1",
"businessOwnerId": "99b4e72f-24c7-4bd7-8ab8-3ebca80abba8",
"approvalStatus": "string",
"approvalInstanceId": "f2c20a58-8176-4bae-8a39-2157baef75a9",
"businessUnitIds": [
"6c8ec2d9-bfbc-4ec1-8820-4b66dcd6ab46"
],
"createdAt": "2026-08-19T09:41:12.004Z",
"updatedAt": "2026-08-19T09:41:12.004Z",
"statusPhase": "draft",
"vendor": {
"id": "cb6b7120-5c23-4886-803f-995f6f1e6a41",
"name": "string"
},
"businessOwner": {
"id": "69178eeb-5915-48cb-8596-a2d8a8226054",
"firstName": "string",
"lastName": "string",
"email": "string"
}
},
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H",
"message": "string"
}

Validation error

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Bad request",
"code": "BAD_REQUEST",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Unauthorized

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Unauthorized",
"code": "UNAUTHORIZED",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Forbidden — missing scope

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Forbidden",
"code": "FORBIDDEN",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Not found

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Resource not found",
"code": "NOT_FOUND",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}

Rate limit exceeded

Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{
"success": false,
"error": "Too many requests",
"code": "TOO_MANY_REQUESTS",
"timestamp": "2026-08-19T09:41:12.004Z",
"requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"
}